Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.bea.dsp.management.runtime
Enum RequestRuntime.Target

    java.lang.Object
      java.lang.Enum<RequestRuntime.Target>
          com.bea.dsp.management.runtime.RequestRuntime.Target

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<RequestRuntime.Target>

Enclosing class:
  RequestRuntime

    public static enum RequestRuntime.Target

extends java.lang.Enum<RequestRuntime.Target>

The entity on which the action expressed by the request is performed.

Enum Constant Summary
`ADHOC`
`FUNCTION`

Method Summary
`static RequestRuntime.Target` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static RequestRuntime.Target[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ADHOC

    public static final RequestRuntime.Target ADHOC

### FUNCTION

    public static final RequestRuntime.Target FUNCTION

Method Detail

### values

    public static RequestRuntime.Target[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (RequestRuntime.Target c : RequestRuntime.Target.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static RequestRuntime.Target valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009 Oracle. All Rights Reserved.